diff build.sh @ 96:137ba51ee993

Delete output directories on re-run, teach build to log and build multiple targets (in series), give hosttools its own target directory, add toybox to hosttools build (for gene2fs soon), update uClibc snapshot.
author Rob Landley <rob@landley.net>
date Thu, 01 Feb 2007 00:37:50 -0500
parents 153ba1a0b427
children b5b65762dd87
line wrap: on
line diff
--- a/build.sh	Mon Jan 29 14:41:37 2007 -0500
+++ b/build.sh	Thu Feb 01 00:37:50 2007 -0500
@@ -1,6 +1,20 @@
-#!/bin/sh
+#!/bin/bash
+
+source include.sh
+
+# I have no idea why this is spawning a subshell.  I want "thing || exit | tee"
+# but there doesn't seem to be a syntax for that, so we remember PID and kill.
 
-./download.sh &&
-./host-tools.sh $1 &&
-./cross-compiler.sh $1 &&
-./mini-native.sh $1
+PARENT=$$
+{
+  ./download.sh || kill $PARENT
+  ./host-tools.sh || kill $PARENT
+} | tee out-all.txt
+
+for i in "$@"
+do
+  {
+    ./cross-compiler.sh "$i" || kill $PARENT
+    ./mini-native.sh "$i" || kill $PARENT
+  } | tee "out-$i.txt"
+done